<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout = "http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{admin/dashboardLayout.html}">
<head>

</head>
<body>
<section class="row" layout:fragment="content">
  <div class="col mt-4">
    <form action="/admin/products/saveOrUpdate" method="post" enctype="multipart/form-data"
          th:object="${product}">
      <div class="card">
        <div class="card-header">
          <h2 th:text="${product.isEdit?'Edit Product':'Add New Product'}">Add New Product</h2>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-7">
              <input type="hidden" th:field="*{isEdit}">
              <div class="form-group" th:if="${product.isEdit}">
                <label for="productId">Product ID:</label>
                <input type="text" class="form-control" name="productId" id="productId"
                       th:field="*{productId}"
                       aria-describedby="productIdHid" placeholder="Product Id">
                <small id="productIdHid" class="form-text text-muted">Productid is required</small>
              </div>
              <div class="form-group">
                <label for="name">Name</label>
                <input type="text" class="form-control" name="name" id="name"
                       th:field="*{name}" aria-describedby="nameHid" placeholder="Name">
                <small id="nameHid" class="form-text text-muted">Name is required</small>
              </div>
              <div class="form-group">
                <label for="quantity">Quantity</label>
                <input type="text" class="form-control" name="quantity" id="quantity"
                       th:field="*{quantity}" aria-describedby="quantityHid" placeholder="Quantity">
                <small id="quantityHid" class="form-text text-muted">Quantity is required</small>
              </div>
              <div class="input-group form-group">
                <span class="input-group-text">Unit Price</span>
                <input type="number" name="unitPrice" id="unitPrice"
                       th:field="*{unitPrice}" class="form-control" placeholder="Unit Price">
                <span class="input-group-text">$</span>
              </div>

              <div class="form-group">
                <label for="categoryId">Category</label>
                <select class="form-control" name="categoryId" id="categoryId"
                        th:field="*{categoryId}">
                  <option th:each="item : ${categories}" th:value="${item.categoryId}"
                          th:text="${item.name}" th:select="${item.categoryId == product.categoryId}">Category Name</option>
                </select>
              </div>

            </div>
            <div class="col-3">
              <script>
                function chooseFile(fileInput) {
                  if (fileInput.files && fileInput.files[0]) {
                    var reader = new FileReader();

                    reader.onload = function(e) {
                      $('#image').attr('src', e.target.result);
                    }
                    reader.readAsDataURL(fileInput.files[0]);
                  }
                }
              </script>
              <img id="image" th:src="${product.image != null ? '/admin/products/images/' + product.image  : '/admin/products/images/noimg.png'}"
                   width="90%">
              <div class="form-group">
                <label for="productImage">Image File</label>
                <input type="file" onchange="chooseFile(this)" class="form-control-file" name="imageFile" id="productImage" placeholder="Image" aria-describedby="productImageHid">
                <small id="productImageHid" class="form-text text-muted">Product image is required</small>
              </div>
              <div class="input-group form-group">
                <span class="input-group-text">Discount</span>
                <input th:field="*{discount}" type="number" name="discount" id="discount" class="form-control" placeholder="Discount">
                <span class="input-group-text">%</span>
              </div>
              <div class="form-group">
                <label for="status">Status</label>
                <select class="form-control" name="status" id="status" th:field="*{status}">
                  <option value="0">Out of stock</option>
                  <option value="1">On Sale</option>
                  <option value="2">Bestseller</option>
                </select>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col">
              <div class="form-group">
                <label for="description">Description</label>
                <textarea th:field="*{description}" class="form-control" name="description" id="description" rows="5"></textarea>
              </div>
            </div>
          </div>
        </div>
        <div class="card-footer text-muted">
          <a th:href="@{/admin/products/add/}" class="btn btn-success">New</a>
          <button class="btn btn-primary"
                  th:text="${product.isEdit? 'Update' : 'Save'}"
          >Save</button>
          <a th:if="${product.isEdit}" th:href="@{'/admin/products/delete/' + ${product.productId}}"
             class="btn btn-danger float-right">Delete</a>
        </div>
      </div>
    </form>
  </div>
</section>
</body>
</html>
